Package net.sf.saxon.type

## Class StringConverter.StringToUntypedAtomic

- java.lang.Object
- - net.sf.saxon.type.Converter
  - - net.sf.saxon.type.StringConverter
    - - net.sf.saxon.type.StringConverter.StringToUntypedAtomic

- Enclosing class:
    StringConverter

      public static class StringConverter.StringToUntypedAtomic
      extends StringConverter

  Converts from xs:string or xs:untypedAtomic to xs:untypedAtomic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.type.StringConverter

      `StringConverter.StringToAnyURI, StringConverter.StringToBase64Binary, StringConverter.StringToBoolean, StringConverter.StringToDate, StringConverter.StringToDateTime, StringConverter.StringToDateTimeStamp, StringConverter.StringToDayTimeDuration, StringConverter.StringToDecimal, StringConverter.StringToDerivedStringSubtype, StringConverter.StringToDuration, StringConverter.StringToFloat, StringConverter.StringToGDay, StringConverter.StringToGMonth, StringConverter.StringToGMonthDay, StringConverter.StringToGYear, StringConverter.StringToGYearMonth, StringConverter.StringToHexBinary, StringConverter.StringToInteger, StringConverter.StringToIntegerSubtype, StringConverter.StringToLanguage, StringConverter.StringToName, StringConverter.StringToNCName, StringConverter.StringToNMTOKEN, StringConverter.StringToNonStringDerivedType, StringConverter.StringToNormalizedString, StringConverter.StringToNotation, StringConverter.StringToQName, StringConverter.StringToString, StringConverter.StringToStringSubtype, StringConverter.StringToTime, StringConverter.StringToToken, StringConverter.StringToUnionConverter, StringConverter.StringToUntypedAtomic, StringConverter.StringToYearMonthDuration`

    - ### Nested classes/interfaces inherited from class net.sf.saxon.type.Converter

      `Converter.Base64BinaryToHexBinary, Converter.BooleanToDecimal, Converter.BooleanToDouble, Converter.BooleanToFloat, Converter.BooleanToInteger, Converter.DateTimeToDate, Converter.DateTimeToGDay, Converter.DateTimeToGMonth, Converter.DateTimeToGMonthDay, Converter.DateTimeToGYear, Converter.DateTimeToGYearMonth, Converter.DateTimeToTime, Converter.DateToDateTime, Converter.DecimalToInteger, Converter.DoubleToDecimal, Converter.DoubleToInteger, Converter.DownCastingConverter, Converter.DurationToDayTimeDuration, Converter.DurationToYearMonthDuration, Converter.FloatToDecimal, Converter.FloatToInteger, Converter.HexBinaryToBase64Binary, Converter.IdentityConverter, Converter.IntegerToDecimal, Converter.NotationToQName, Converter.NumericToBoolean, Converter.NumericToDecimal, Converter.NumericToDouble, Converter.NumericToFloat, Converter.NumericToInteger, Converter.PromoterToDouble, Converter.PromoterToFloat, Converter.QNameToNotation, Converter.ToStringConverter, Converter.ToUntypedAtomicConverter, Converter.TwoPhaseConverter, Converter.UnfailingConverter, Converter.UpCastingConverter`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StringConverter.StringToUntypedAtomic` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringToUntypedAtomic()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `UntypedAtomicValue` | `convert​(AtomicValue input)` | Convert an atomic value from the source type to the target type
    `ConversionResult` | `convertString​(java.lang.CharSequence input)` | Convert a string to the target type of this converter.
    `boolean` | `isAlwaysSuccessful()` | Ask if this converter will always succeed
    `ValidationFailure` | `validate​(java.lang.CharSequence input)` | Validate a string for conformance to the target type, without actually performing the conversion

    - ### Methods inherited from class net.sf.saxon.type.Converter

      `convert, getConversionRules, getNamespaceResolver, setConversionRules, setNamespaceResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final StringConverter.StringToUntypedAtomic INSTANCE

  - ### Constructor Detail

    - #### StringToUntypedAtomic

          public StringToUntypedAtomic()

  - ### Method Detail

    - #### convert

          public UntypedAtomicValue convert​(AtomicValue input)

      Description copied from class: `Converter`
      Convert an atomic value from the source type to the target type
      Overrides:
        `convert` in class `StringConverter`
      Parameters:
        `input` - the atomic value to be converted, which the caller guarantees to be of the appropriate type for the converter. The results are undefined if the value is of the wrong type; possible outcomes are (apparent) success, or a ClassCastException.
      Returns:
        the result of the conversion, as an `AtomicValue`, if conversion succeeds, or a `ValidationFailure` object describing the reasons for failure if conversion is not possible. Note that the ValidationFailure object is not (and does not contain) an exception, because it does not necessarily result in an error being thrown, and creating exceptions on non-failure paths is expensive.

    - #### convertString

          public ConversionResult convertString​(java.lang.CharSequence input)

      Description copied from class: `StringConverter`
      Convert a string to the target type of this converter.
      Specified by:
        `convertString` in class `StringConverter`
      Parameters:
        `input` - the string to be converted
      Returns:
        either an `AtomicValue` of the appropriate type for this converter (if conversion succeeded), or a `ValidationFailure` if conversion failed.

    - #### validate

          public ValidationFailure validate​(java.lang.CharSequence input)

      Description copied from class: `StringConverter`
      Validate a string for conformance to the target type, without actually performing the conversion
      Overrides:
        `validate` in class `StringConverter`
      Parameters:
        `input` - the string to be validated
      Returns:
        null if validation is successful, or a ValidationFailure indicating the reasons for failure if unsuccessful

    - #### isAlwaysSuccessful

          public boolean isAlwaysSuccessful()

      Description copied from class: `Converter`
      Ask if this converter will always succeed
      Overrides:
        `isAlwaysSuccessful` in class `Converter`
      Returns:
        true if this Converter will never return a ValidationFailure